# 履歴を実行する
function peco-execute-history() {
  local item
  item=$(builtin history -n -r 1 | peco --query="$LBUFFER")

  if [[ -z "$item" ]]; then
    return 1
  fi

  BUFFER="$item"
  zle accept-line
}
zle -N peco-execute-history
bindkey '^x^r' peco-execute-history


# 履歴をコマンドラインに挿入する
function peco-put-history() {
  local item
  item=$(builtin history -n -r 1 | peco --query="$LBUFFER")

  if [[ -z "$item" ]]; then
    return 1
  fi

  BUFFER="$item"
  CURSOR=$#BUFFER
}
zle -N peco-put-history
bindkey '^x^p' peco-put-history


# 最近移動したディレクトリに移動する
function peco-cdr() {
  local item
  item=$(cdr -l | sed 's/^[^ ]\{1,\} \{1,\}//' | peco)

  if [[ -z "$item" ]]; then
    return 1
  fi

  BUFFER="cd -- $item"
  zle accept-line
}
zle -N peco-cdr
bindkey '^xb' peco-cdr

