# anyframeを使ってコマンド履歴を実行する
function peco-execute-history() {
  builtin history -n -r 1 \
    | anyframe-selector-auto "$LBUFFER" \
    | anyframe-action-execute
}
zle -N peco-execute-history
bindkey '^x^r' peco-execute-history


# anyframeを使ってコマンド履歴を挿入する
function peco-put-history() {
  builtin history -n -r 1 \
    | anyframe-selector-auto "$LBUFFER" \
    | anyframe-action-put
}
zle -N peco-put-history
bindkey '^x^p' peco-put-history


# anyframeを使って最近移動したディレクトリに移動する
function peco-cdr() {
  cdr -l \
    | sed 's/^[^ ]\{1,\} \{1,\}//' \
    | anyframe-selector-auto \
    | anyframe-action-execute cd --
}
zle -N peco-cdr
bindkey '^xb' peco-cdr


# anyframeを使ってプロセスを停止する
function peco-kill() {
  ps -u $USER -o pid,stat,%cpu,%mem,cputime,command \
    | anyframe-selector-auto \
    | awk '{print $1}' \
    | anyframe-action-execute kill
}
zle -N peco-kill
bindkey '^x^k' peco-kill

